/**
 *  Days in 1 week.
 *
 *  @constant
 *  @type {number}
 *  @default
 */
export const daysInWeek = 7

/**
 *  Maximum allowed time.
 *
 *  @constant
 *  @type {number}
 *  @default
 */
export const maxTime = Math.pow(10, 8) * 24 * 60 * 60 * 1000

/**
 *  Milliseconds in 1 minute
 *
 *  @constant
 *  @type {number}
 *  @default
 */
export const millisecondsInMinute = 60000

/**
 *  Milliseconds in 1 hour
 *
 *  @constant
 *  @type {number}
 *  @default
 */
export const millisecondsInHour = 3600000

/**
 *  Milliseconds in 1 second
 *
 *  @constant
 *  @type {number}
 *  @default
 */
export const millisecondsInSecond = 1000

/**
 * Minimum allowed time.
 *
 * @name minTime
 * @constant
 * @type {number}
 * @default
 */
export const minTime = -maxTime

/**
 *  Minutes in 1 hour
 *
 *  @constant
 *  @type {number}
 *  @default
 */
export const minutesInHour = 60

/**
 *  Months in 1 quarter
 *
 *  @constant
 *  @type {number}
 *  @default
 */
export const monthsInQuarter = 3

/**
 *  Months in 1 year
 *
 *  @constant
 *  @type {number}
 *  @default
 */
export const monthsInYear = 12

/**
 *  Quarters in 1 year
 *
 *  @constant
 *  @type {number}
 *  @default
 */
export const quartersInYear = 4

/**
 *  Seconds in 1 hour
 *
 *  @constant
 *  @type {number}
 *  @default
 */
export const secondsInHour = 3600

/**
 *  Seconds in 1 minute
 *
 *  @constant
 *  @type {number}
 *  @default
 */
export const secondsInMinute = 60
